; ***** BEGIN LICENSE BLOCK *****
; * Copyright (C) 2006  Stanislav Ievlev <inger@altlinux.org>
; * Copyright (C) 2007  Alexey Gladkov <legion@altlinux.org>
; *
; * This program is free software; you can redistribute it and/or modify
; * it under the terms of the GNU General Public License as published by
; * the Free Software Foundation; either version 2 of the License, or
; * (at your option) any later version.
; *
; * This program is distributed in the hope that it will be useful,
; * but WITHOUT ANY WARRANTY; without even the implied warranty of
; * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
; * GNU General Public License for more details.
; *
; * You should have received a copy of the GNU General Public License
; * along with this program; if not, write to the Free Software
; * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
; ***** END LICENSE BLOCK *****

(document:surround "/std/frame")
(document:envelop with-translation _ "alterator-install2")

(define (progress-monitor msg)
  ;;(package "name" step 2)
  ;;(done #t)
  ;;(init #t)
  ;;(stage FOOBAR max 5)
  ;;(error CODE filesystems "FS")

  (case (cond-car msg)
    ((error)
     (remove-mailbox progress-monitor)
     (woo-catch/message (thunk (woo-try "unmount" "/basesystem")))

     (case (cond-plistq 'error msg "")
       ((DISKSPACE)
        (document:replace "/install2/basesystem-error"
                          'message (format #f (_ "Insufficient disk space on the ~A filesystem")
                                           (cond-plistq 'filesystems msg ""))
                          'hint (_ "Hint: You can press 'Previous' and correct the problem.")))
       ((DISKNODES)
        (document:replace "/install2/basesystem-error"
                          'message (format #f (_ "Insufficient inodes on the ~A filesystem")
                                           (cond-plistq 'filesystems msg ""))
                          'hint (_ "Hint: You can press 'Previous' and correct the problem.")))
       ((UNKNOWN)
        (document:replace "/install2/basesystem-error"
                          'message (format #f "<p>~A</p><pre>~A</pre>"
                                           (_ "Critical error")
                                           (cond-plistq 'msg msg ""))))
        (else
         (document:replace "/install2/basesystem-error"
                           'message (_ "Unsupported error code")))))
    ((init)
     (progress text (_ "Prepare for installation ...")))

    ((done)
     (remove-mailbox progress-monitor)
     (frame:next))

    ((package)
     (status-l text (cond-plistq 'package msg (_ "Unknown")))
     (progress value (cond-plistq 'step msg 0)))

    ((stage)
     (case (cond-plistq 'stage msg "")
       ((download-pkgs) (progress text (_ "Acquiring packages ...")))
       ((install-pkgs)  (progress text (_ "Installing packages ..."))))
     (progress maximum (cond-plistq 'max msg 0)))))

(vbox max-height 150
	(spacer)
	(document:id progress (progressbar maximum 0 value 0 text " "))
	(document:id status-l (label ""))
	(spacer))

(add-mailbox progress-monitor)

(document:root (when loaded
                 (frame:next-activity #f)
                 (frame:back-activity #f)
		 (woo-write "/basesystem")
		 (woo-write "/autoinstall/basesystem")))
