#!/bin/sh -efu

. install2-init-functions

[ -z "$AUTOINSTALL" ] || exit 0

cmdline="$(cat /proc/cmdline)"
d=
xdriver=
drv='vesa'
xorgconf=/etc/X11/xorg.conf

sed -r -e '/[[:space:]]*Load[[:space:]]+"(glx|dri)"/d' /usr/share/alterator-x11/xorg.conf > $xorgconf

for d in $cmdline; do
	[ -z "${d##xdriver=*}" ] || continue
	d="${d#xdriver=}"
	[ -n "$d" ] || continue
	xdriver="$d"
	drv="$xdriver"
done

[ -z "$xdriver" ] || printf 'found xdriver="%s"' "$xdriver"

[ "$drv" = 'auto' ] &&
	{ video_autosetup    $xorgconf ||:; } ||
	{ video_setup "$drv" $xorgconf ||:; }

d="$(xconf -d $xorgconf)" ||:
[ -z "$d" ] || printf '%strying "%s"' "${xdriver:+, }" "$d"

monitor_autosetup $xorgconf ||:
mouse_autosetup -c $xorgconf ||:
