#!/bin/sh -efu
# ***** BEGIN LICENSE BLOCK *****
# * Copyright (C) 2007  Alexey Gladkov <legion@altlinux.org>
# *
# * This program is free software; you can redistribute it and/or modify
# * it under the terms of the GNU General Public License as published by
# * the Free Software Foundation; either version 2 of the License, or
# * (at your option) any later version.
# *
# * This program is distributed in the hope that it will be useful,
# * but WITHOUT ANY WARRANTY; without even the implied warranty of
# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# * GNU General Public License for more details.
# *
# * You should have received a copy of the GNU General Public License
# * along with this program; if not, write to the Free Software
# * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
# ***** END LICENSE BLOCK *****

. install2-init-functions

cat >"$destdir/tmp/instkernel"<<-EOF
#!/bin/sh -efu

if [ -d /proc/scsi/usb-storage ] ; then
	MKINITRD_OPTIONS='--with usb-storage --with ehci-hcd --with usbhid --with uhci-hcd  --with ohci-hcd'
	export MKINITRD_OPTIONS
fi

kern_list="\$(rpmquery -a --qf='%{version}-%{name}-%{release}\\n' kernel-image-*)"

[ "\$(printf '%s\\n' "\$kern_list" |wc -l)" -eq 1 ] ||
	touch /etc/lilo.conf

printf '%s\\n' "\$kern_list" |
	sed -e 's#kernel-image-##' |
	xargs -ri /sbin/installkernel -n '{}'

rm -f /tmp/instkernel
EOF

chmod +x "$destdir/tmp/instkernel"
run_chroot /tmp/instkernel
