#!/bin/sh -efu
# ***** BEGIN LICENSE BLOCK *****
# * Copyright (C) 2007  Alexey Gladkov <legion@altlinux.org>
# *
# * This program is free software; you can redistribute it and/or modify
# * it under the terms of the GNU General Public License as published by
# * the Free Software Foundation; either version 2 of the License, or
# * (at your option) any later version.
# *
# * This program is distributed in the hope that it will be useful,
# * but WITHOUT ANY WARRANTY; without even the implied warranty of
# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# * GNU General Public License for more details.
# *
# * You should have received a copy of the GNU General Public License
# * along with this program; if not, write to the Free Software
# * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
# ***** END LICENSE BLOCK *****

. install2-init-functions


ifcheckup()
{
    [ -n "$(exec_chroot ip link show up dev "$1")" ]
}

ifcheckup lo || run_chroot ifup lo

case "$METHOD" in
	cdrom|disk) exit 0 ;;
esac

run_chroot alterator-cmdline /net-general action "write" hostname "$HOSTNAME" search "$DOMAINNAME" dns "$DNS_SERVER${DNS_SERVER2:+
$DNS_SERVER2}"

iface="$(exec_chroot ip link show up |
	sed -n -e '/^[[:digit:]]\+:/!d' -e '/^[[:digit:]]\+: lo:/d' -e 's/^[[:digit:]]\+: \([^:]\+\):.*/\1/p' -e 'q')"

if [ -n "$iface" ]; then
    mkdir -p -- "$destdir/etc/net/ifaces"

    case "$BOOTPROTO" in
	adsl_pppoe)
		run_chroot alterator-cmdline "/net-pppoe" action "new" name "$iface" login "$USER" password "$PASS"
		;;
	static)
		run_chroot alterator-cmdline "/net-eth/$iface" action "write" ip "$IPADDR" mask "$NETBITS" default "$GATEWAY" state '#t'
		;;
	dhcp)
		run_chroot alterator-cmdline "/net-eth/$iface" action "write" dhcp '#t' state '#t'
		;;
    esac
    ifcheckup "$iface" || run_chroot ifup
fi
